## Overview
TAP is an end to end self service platform for Developers and Non Developers to create and market diverse Telco apps for individual or business needs. TAP is the Telco dream to build a complete mobile ecosystem by exposing Telco services via a rich set of Telco APIs. SMS, USSD, Charging, In-App Purchasing and LBS are some of the APIs that is being exposed through TAP.

We have created three charms in juju, in order to ease the effort put by the developers in preparing the environment and in configuring the dependencies. 
For more information, please watch the following youtube video:

https://www.youtube.com/watch?v=K3QNnk4LAoQ&feature=youtu.be

# Devspace CTAP simulator
The Dev Space Simulator creates a virtual environment for the developers to test the created applications before connecting with the real-world system. The applications can be tested with actual validations using the simulator. The simulator will act as a dummy mobile to ensure the message flow and it supports all the Telco assets.

Simulate SMS sending and receiving - http://devspace.hsenidmobile.com/guide/sms-sdk.php 
Simulate sending and receiving  USSD requests- http://devspace.hsenidmobile.com/guide/Ussd-sdk.php
Simulate charging from an application user- http://devspace.hsenidmobile.com/guide/Caas-sdk.php

This charm will deploy the DevSpace simulator and connect it to a running CTAP sample apps. This charm will install the devspace-simulator files in /home/$USER/hsenidmobile-ctap-simulator/.

## Installation
To deploy this charm you will need at a minimum: a cloud environment, working Juju installation and a successful bootstrap. Once bootstrapped, 

deploy the hsenidmobile-ctap-simulator charm:

    juju deploy hsenidmobile-ctap-simulator

And finally expose the hsenidmobile-ctap-simulator service:

    juju expose hsenidmobile-ctap-simulator

## Usage
After deploying hsenidmobile-ctap-simulator and hsenidmobile-ctap-sampleapp build the connection between these two charms.

juju add-relation hsenidmobile-ctap-sampleapp hsenidmobile-ctap-simulator

## Verify
Type hsenidmobile-ctap-simulator public IP in a browser. simulator web page will load. 
Give URL field as:
http://{hsenidmobile-ctap-sampleapp public IP}:8999/ussd-maven-sampleapp
Keep other values same and click send.
Results of message sending will appear in the text boxes.

# Links other to charms
Developer bundle
https://jujucharms.com/u/ctap/hsenidmobile-ctap/

CTAP sample app charm
https://jujucharms.com/u/ctap/hsenidmobile-ctap-sampleapp-ussd/

CTAP documentation charm
https://jujucharms.com/u/ctap/hsenidmobile-ctap-doc/

# Contact information

Bug reporting
https://bugs.launchpad.net/charms/+source/hsenidmobile-ctap-simulator

hSenid Mobile Developer Space
http://devspace.hsenidmobile.com/

hSenid Mobile developer support
devspace@hsenidmobile.com
